#-- 
#  Copyright (C) 2008 Red Hat Inc.
#  
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2.1 of the License, or (at your option) any later version.
#  
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#  
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
#
# Author: Bryan Kearney <bkearney@redhat.com>
#--

import "apache"
#
# basic_site
# -----------
# Creates a very basic website. No muss, no fuss.
#

class basic-site inherits apache {	
}


define basic-site::site($content_template="") {
	include basic-site 
	
	$main_page_content = template("$content_template") 
	
	file {"/var/www/html/index.html":
		content => template("basic-site/index.html.erb")
	}
	
	file {"/var/www/html/bg_button_a.gif" :
		source => "puppet:///basic-site/bg_button_a.gif"
	}	
	
	file {"/var/www/html/bg_button_span.gif" :
		source => "puppet:///basic-site/bg_button_span.gif"
	}		
	
	file {"/var/www/html/style.css" :
		source => "puppet:///basic-site/style.css"
	}		
}
